Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class EventListenerList.Entry

    java.lang.Object
      org.apache.batik.dom.events.EventListenerList.Entry

Enclosing class:
  EventListenerList

    public class EventListenerList.Entry

extends Object

EventListenerTable entry class.

Field Summary
`protected Object` | `group` The event group.
`protected EventListener` | `listener` The event listener.
`protected boolean` | `mark` Flag used by getListeners.
`protected String` | `namespaceURI` The namespace URI of the event the listener is listening for.
`protected EventListenerList.Entry` | `next` The next Entry in the list.

Constructor Summary
`EventListenerList.Entry(EventListener listener, String namespaceURI, Object group, EventListenerList.Entry next)` Creates a new Entry object.

Method Summary
`Object` | `getGroup()` Returns the event group.
`EventListener` | `getListener()` Returns the event listener.
`String` | `getNamespaceURI()` Returns the event namespace URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    protected EventListener listener

  The event listener.

### namespaceURI

    protected String namespaceURI

  The namespace URI of the event the listener is listening for.

### group

    protected Object group

  The event group.

### mark

    protected boolean mark

  Flag used by getListeners.

### next

    protected EventListenerList.Entry next

  The next Entry in the list.

Constructor Detail

### EventListenerList.Entry

    public EventListenerList.Entry(EventListener listener,
                                   String namespaceURI,
                                   Object group,
                                   EventListenerList.Entry next)

  Creates a new Entry object.

Method Detail

### getListener

    public EventListener getListener()

  Returns the event listener.

### getGroup

    public Object getGroup()

  Returns the event group.

### getNamespaceURI

    public String getNamespaceURI()

  Returns the event namespace URI.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.